Bug 1568073 - Custom service attribute does not show in the ops UI
Summary: Custom service attribute does not show in the ops UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: lgalis
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 17:33 UTC by ldomb
Modified: 2019-02-26 07:13 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Custom attributes (92.22 KB, image/png)
2018-04-16 17:33 UTC, ldomb
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:49 UTC

Description ldomb 2018-04-16 17:33:26 UTC
Created attachment 1422655 [details]
Custom attributes

Description of problem:

Custom service attributes disappeared from the UI, worked in earlier versions. 

This bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1481547 fixed the extension for custom attributes. They showed up in the UI as you can see in the attachment. 


Version-Release number of selected component (if applicable):
5.9.2.0.20180320210136_355c506

How reproducible:
100%

Steps to Reproduce:
1. make the following request

curl -u admin:smartvm -O -k -v -X POST https://192.168.1.17/api/services/99000000000001/custom_attributes \

-H "Resource:" \

-H 'Content-Type: text/json; charset=utf8' \

-d @- << EOF



{

        "action": "add",

        "resources": [{

                "name": "ca1",

                "value": "value 1"

        }, {

                "name": "ca2",

                "value": "value2"

        }]

}

EOF

Actual results:

Item gets added but does not show up in the service UI


Expected results:

Shows up as in the attachment


Additional info:

Comment 11 Niyaz Akhtar Ansari 2019-01-21 19:23:22 UTC
I am able to see service attributes.
Verified in Version 5.10.0.32.20190115185124_c957ada

Comment 13 errata-xmlrpc 2019-02-07 23:01:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.